CUDA Driver API (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 3.2. Error Handling

This section describes the error handling functions of the low-level CUDA driver application programming interface.

### Functions

CUresult cuGetErrorName ( CUresult error, const char** pStr )
  Gets the string representation of an error code enum name.
CUresult cuGetErrorString ( CUresult error, const char** pStr )
  Gets the string description of an error code.

### Functions

CUresult cuGetErrorName ( CUresult error, const char** pStr )
  Gets the string representation of an error code enum name.

  ###### Parameters

  `error`
    - Error code to convert to string
  `pStr`
    - Address of the string pointer.

  ###### Returns

  CUDA_SUCCESS, CUDA_ERROR_INVALID_VALUE

  ###### Description

  Sets `*pStr` to the address of a NULL-terminated string representation of the name of the enum error code `error`. If the error code is not recognized, CUDA_ERROR_INVALID_VALUE will be returned and `*pStr` will be set to the NULL address.

  See also:

  CUresult

CUresult cuGetErrorString ( CUresult error, const char** pStr )
  Gets the string description of an error code.

  ###### Parameters

  `error`
    - Error code to convert to string
  `pStr`
    - Address of the string pointer.

  ###### Returns

  CUDA_SUCCESS, CUDA_ERROR_INVALID_VALUE

  ###### Description

  Sets `*pStr` to the address of a NULL-terminated string description of the error code `error`. If the error code is not recognized, CUDA_ERROR_INVALID_VALUE will be returned and `*pStr` will be set to the NULL address.

  See also:

  CUresult